Subject: bug#40269: Emacs should recognize "file:" when opening files

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Aug 2020 08:32:44 +0300

> From: 積丹尼 Dan Jacobson <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 07 Aug 2020 04:26:46 +0800
> 
> Let's say I browse a local file in a browser.
> Now I want to edit it in emacs.
> Well if you let me just copy the whole URL, including the file:///
> things would be great.

That already works: "M-x eww RET" in Emacs, copy the file:// URL to
respond to the prompt, and voilà!  If you actually need to modify the
file, type "C-x C-q" and proceed editing to your heart's content.

> But just because emacs was born in the 1970s or something,
> I have to remove the file:/// else emacs totally can't deal with it.
> Everything else can deal with it, except emacs.
> For emacs I have to do DEL DEL DEL DEL DEL DEL DEL each time.
> That's because emacs hasn't been updated since 1970, the user feels.

Actually, the latest change to Emacs were today.